package cn.hnthyy.thmz.service.thmz;

import cn.hnthyy.thmz.entity.thmz.Config;
import org.apache.ibatis.annotations.*;

public interface ConfigService {
    /**
     * 按照查询键查询配置内容
     *
     * @param key 查询键
     * @return
     */
    Config queryUserByKey(String key);
    /**
     * 新增文件
     *
     * @param config
     * @return
     */
    int saveConfig(Config config);

    /**
     * 更新配置文件
     * @param config
     * @return
     */
    int modifyConfigByKey(Config config);
}
